#include <iostream>
#include <cstring>
using namespace std;
int arr[500000];
int masiv[500000];
char niz[500000];

int main() {
    int n, br = 0;
    bool b = true, bb = true;
    cin>>n;

    for(int j = 0; j < n; j++){
        br = 0;
        cin>>arr[j];
        for(int i = 0; i < arr[j] && b; i++){
            masiv[i] = (i + 1)*(i + 1);
            if((i + 1)* (i + 1) > arr[j]){
                for(int p = 0; p < i - 1 && b; p++){
                    for(int o = p; o < i && b; o++){
                        if(masiv[p] + masiv[o] == arr[j]){
                            niz[j] = '1';
                            br++;
                        }
                    }
                }
                if(br == 0){
                    niz[j] = '0';
                }
            }
        }
    }

    for(int i = 0; i < n; i++){
        cout<<niz[i];
    }


    return 0;
}

